Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Java (http://www.linux-archive.org/debian-java/)
-   -   Bug#473058: With sablevm, java.lang.UnsupportedClassVersionError (http://www.linux-archive.org/debian-java/61783-bug-473058-sablevm-java-lang-unsupportedclassversionerror.html)

Jörg Sommer 03-29-2008 07:22 PM

Bug#473058: With sablevm, java.lang.UnsupportedClassVersionError
 
Hello Petter, Hi Java Team,

Petter Reinholdtsen schrieb am Sat 29. Mar, 19:02 (+0100):
> [Trent W. Buck]
> > I don't really know about Java, but I suspect this is failing
> > because bootchart-view doesn't work with sablevm (which I chose
> > because it has the smallest disk footprint). If this is the case,
> > bootchart-view's dependency should be tightened.
>
> It could also be said to be a problem with sablevm, providing one of
> java-gcj-compat, java-runtime and java2-runtime without implementing
> all that is needed for programs to work with it.

sablevm provides only java-runtime. I don't know if there's a definition
what java-runtime means.

My intent was to drop java-runtime and only depend on java-gcj-compat |
java2-runtime.

Can someone from the Java team answer the question on what packages a
package should depend that is built with java-gcj-compat-dev.

Bye, Jörg.
--
“Politics is for the moment, equations are forever”
(Albert Einstein)

Michael Koch 03-31-2008 03:07 PM

Bug#473058: With sablevm, java.lang.UnsupportedClassVersionError
 
On Sat, Mar 29, 2008 at 09:22:55PM +0100, Jrg Sommer wrote:
> Hello Petter, Hi Java Team,
>
> Petter Reinholdtsen schrieb am Sat 29. Mar, 19:02 (+0100):
> > [Trent W. Buck]
> > > I don't really know about Java, but I suspect this is failing
> > > because bootchart-view doesn't work with sablevm (which I chose
> > > because it has the smallest disk footprint). If this is the case,
> > > bootchart-view's dependency should be tightened.
> >
> > It could also be said to be a problem with sablevm, providing one of
> > java-gcj-compat, java-runtime and java2-runtime without implementing
> > all that is needed for programs to work with it.
>
> sablevm provides only java-runtime. I don't know if there's a definition
> what java-runtime means.

That is a packaging bug in sablevm. Anyway sablevm should be removed
from the archive. Bug against ftp.debian.org exists already.


Cheers,
Michael


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 06:19 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.